<?php

if(!defined('IN_GS')){ die('You cannot load this page directly.'); }

Error_Reporting(E_ALL & ~E_NOTICE);

/*
Plugin Name: my-template
Description: plugin for GetSimple CMS
Version: 1.0.0 / may 2020
Author: NetExplorer
Email: netexplorer@yandex.ru
Author URI: http://netexplorer.h1n.ru

Unzip and place file to the root directory of GetSimple. Then activate the plugin and choose a theme "my-template" in the settings.

The plugin & the theme can be translated into other languages. See /lang/en.php, ru.php ... 
Make your translation and upload the "xx.php" file to the directory - /lang/ - then select your language file in the plugin settings.

Also see LICENSE.txt, README.txt
*/

// Get correct id for plugin
$my_template_thisfile = basename(__FILE__, '.php');

// Load configuration
require($my_template_thisfile.'/cfg.php');

// Load language
require($my_template_thisfile.'/lang/'.$my_template_language.'.php');

// Register plugin
register_plugin(
    $my_template_thisfile,    // ID of plugin, should be filename minus php
    $my_template_plugin_name,    // Title of plugin
    '1.0.0',    // Version of plugin
    'NetExplorer',    // Author of plugin
    'http://netexplorer.h1n.ru',    // Author URL
    $my_template_small_description,    // Plugin Description
    'plugins',    // Page type of plugin
    'my_template_options'    // Function that displays content
);

// Creates a menu option on the Admin/Theme sidebar
add_action('plugins-sidebar', 'createSideMenu', array($my_template_thisfile, $my_template_plugin_name));

// Show options in plugin page
function my_template_options() {
	global $my_template_thisfile, $my_template_language;
	
	// Load language
	require($my_template_thisfile.'/lang/'.$my_template_language.'.php');
	
	// Please do not remove the donation links
	echo $my_template_description . '
<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_blank" style="display: inline;">
<input type="hidden" name="cmd" value="_donations">
<input type="hidden" name="business" value="netexplorer@yandex.ru">
<input type="hidden" name="currency_code" value="USD">
<input type="submit" border="0" name="submit" class="button" value="'.$my_template_admin_donate.'" title="Donate with PayPal button" alt="Donate with PayPal button">
</form> &nbsp; <a href="https://money.yandex.ru/to/410012986152433" target="_blank">Yandex.Money</a>
';

	// Load plugin settings
	require($my_template_thisfile.'/admin.php');
}

//*** My Template functions ***//

?>